Improve #wikimedia-devrel Freenode IRC channel topic: Link to how to contribute
Closed, ResolvedPublic

Description

About every other day a newcomer joins #wikimedia-devrel and leaves after 5min after not getting a quick answer to "How to contribute?".
So let's at least improve the IRC channel topic (which people are still free to ignore)?
Current channel topic is: Wikimedia Developer Relations https://www.mediawiki.org/wiki/Developer_Relations

<hkedia321> hello, can anyone please guide me how can i start contributing to wikimedia?
* hkedia321 has quit (Quit: Page closed)
<bd808> Idea: add something like " | Interested in becoming a contributor? Read https://www.mediawiki.org/wiki/How_to_contribute " to the topic
<andre__> I'd love to but I'm not an admin
<andre__> /msg chanserv access #wikimedia-devrel list
-ChanServ- Entry Nickname/Host          Flags
-ChanServ- ----- ---------------------- -----
-ChanServ- 1     qgil                   +AFRefiorstv [modified 2y 6w 4d ago]
-ChanServ- 2     wmfgc                  +AFfiotv [modified 1y 29w 4d ago]
-ChanServ- ----- ---------------------- -----
-ChanServ- End of #wikimedia-devrel FLAGS listing.
<bd808> you should get Quim to hand out some more +op bits
<andre__> I'm tempted to file a Phab task against him now
Aklapper created this task.Nov 1 2017, 9:32 PM
Qgil reassigned this task from Qgil to srishakatux.EditedNov 2 2017, 10:28 AM
Qgil added a subscriber: Qgil.

As developer advocate, this is something for Srishti.

I mean, I can give op etc (if you tell me how) but solving the problem of newcomers in our IRC channel not getting answers and what to put as topic is something that Srishti could lead.

@Qgil: I think it's

/msg chanserv op #wikimedia-devrel
/mode #wikimedia-devrel +o srish_aka_tux
/msg chanserv deop #wikimedia-devrel

but I'm not 100% sure either.
Try, and then run /msg chanserv access #wikimedia-devrel list to see if Srishti is now listed in the output?

Qgil added a comment.Nov 3 2017, 4:54 PM

srish_aka_tux is now an op of #wikimedia-devrel. Thank you for the instructions!

However, I wonder whether that will stick, because cloaks?

Aklapper added a comment.EditedNov 3 2017, 5:00 PM

Meh. Looks like that only temporarily made Srishti a channel op but did not permanently add her to the access list.

bd808 pointed to https://phabricator.wikimedia.org/T166420#3295871 so I guess that /msg chanserv flags #wikimedia-cloud srish_aka_tux op is the required command. Flags. Aha.

Topic now is:

This channel is for contributing to Wikimedia, welcome! Read https://www.mediawiki.org/wiki/New_Developers to get started or https://www.mediawiki.org/wiki/How_to_contribute to get an overview of various technical and non-technical areas

Anything else to add?

@Qgil:

<Sagan> andre__: which IRC command do you need? adding somebody as op to the ACL?
<Sagan> guess in this case qgil would need to do "/msg ChanServ FLAGS #wikimedia-devrel srish_aka_tux +Aiotv"

Anything else to add?

Personally I'd go for this (shorter sentences, and I've never understood the first sentence anyway because it's not really a support channel IMHO):

Read https://www.mediawiki.org/wiki/New_Developers to start contributing to code development in Wikimedia. | Read https://www.mediawiki.org/wiki/How_to_contribute to get an overview of technical and non-technical contribution ideas. | Welcome!

srishakatux closed this task as Resolved.Nov 7 2017, 3:20 AM

Personally I'd go for this (shorter sentences, and I've never understood the first sentence anyway because it's not really a support..

Done and thank you!

Personally I'd go for this (shorter sentences, and I've never understood the first sentence anyway because it's not really a support..

Done and thank you!

Now the first URL ends with a full stop. Some IRC clients might interpret the full stop as part of the URL; that's what I'd like to avoid by sentence structure or by using | between sentences. :)
(I'd personally also drop the noisy "Welcome to yet-again-the-channel-name" blah but that's just my more direct style...)

(Related: Ops rights not fixed yet. Hope @Qgil will try T179538#3735052 at some point.)

srishakatux reopened this task as Open.Nov 9 2017, 12:43 AM

Me no more an op :-/

Qgil claimed this task.Nov 10 2017, 8:51 PM
Qgil added a subscriber: srishakatux.

Assigned to me indeed, otherwise I forget.

@Qgil: As #wikimedia-devrel just got spammed before the user finally got k-lined, it would be great to have more channel ops (like Srishti and me?).
Crossing fingers that T179538#3735052 works.

Qgil raised the priority of this task from Lowest to High.Jan 2 2018, 7:30 PM

Yes, something like /msg chanserv flags #wikimedia-devtools srish_aka_tux +Afiotvr will work (and maybe for andre__ too).
(We just had this topic in devtools again due to spamming.)

Qgil closed this task as Resolved.Jan 12 2018, 1:34 PM
Qgil moved this task from Backlog to January on the Developer-Advocacy (Jan-Mar-2018) board.

Resolved. Bus factor increase with Andre and Srishti.